#include "am128main.h"

int main()
{
   // Initialize UART.
   UART_Init();

   // Initialize am128.
   IO_Init();

   // Main program loop.
   while(1){
      // Prepare to send ready signal, and wait for code from master.
      SPDR = SLAVE_READY;

      // Wait for SPI transfer.
      while(!test_bit(SPSR,SPIF)){
#ifdef BUFFERING_MODE
         // Checks if conversion is finished if using bufering mode.
         ADC_CheckBuffer();
#endif
      }
      // Start receiving new command.
      IO_NewCommand(SPDR);
   }
}
