#ifndef AM128_PWM
#define AM128_PWM

// Initialize 2 PWM channels with 3 subchannels each. By default all PWM are 8-bit and has an output value of zero.
void PWM_Init();

// Changes the output value of one of the subchannel. The new value are given with two 8 bit values.
void PWM_SetOutValue(char ch, char sch, char valueH, char valueL);

// Changes the resolution of one of the channels (affecting all subchannel). When resolution are changed, the output value of all subchannels affected are set to zero.
void PWM_SetResolution(char ch, char resolution);

#include "am128pwm.c"

#endif //AM128_PWM
