#ifndef AM128_UART
#define AM128_UART

// Initialize the UART with baud rate of 19.2k.
void UART_Init();

// Transmit one byte of data via UART.
void UART_TxByte(char data);

// Send a byte containing a <space>.
void UART_TxSpace();

// Send two bytes that togeter makes a new line.
void UART_TxNewLine();

// Convert a decimal number to a string of three characters and send them.
void UART_TxDecimal(unsigned char value);

// Send a character and a value.
void UART_Print(char symbol, unsigned char value);

#include "am128uart.c"

#endif //AM128_UART
