#ifndef DEF_SWATCH
#define DEF_SWATCH

// includes
#include <sys/time.h>
#include <stdio.h>

// Constants
#define SWATCH_IDLE 0
#define SWATCH_STARTED 1
#define SWATCH_STOPED 2

// Struct that represent a stopwatch.
struct sStopWatch{
   int state; // The state of the stopwatch.
   int usec; // Result of the stopwatch, might not be necesary.
   struct timeval start, stop; // Structs for keeping the time.
};

// This function starts the stopwatch.
int StartStopWatch(struct sStopWatch *sWatch);

// This function stops the stopwatch and returns the result.
int StopStopWatch(struct sStopWatch *sWatch);

#include "stopwatch.c"
#endif
