#ifndef __KM_AVR32IO_SPI_H
#define __KM_AVR32IO_SPI_H

// Function that transfer a given number of bytes over SPI.
int SPI_MasterTransfer(u8 *rx, u8 *tx, int len);

// Function that transfer one byte over SPI.
int SPI_MasterTransferByte(u8 tx);

// Function that sends a table of data, and checks the received data against another table
int SPI_SendTableOfBytes(u8 *tx, u8 *expectedRx, int len);

#include "avr32io_SPI.c"

#endif // __KM_AVR32IO_SPI_H
